
CoCoALib - Support #508

Renaming: SqfreeFactor to SqFreeFactor

02 Apr 2014 14:26 - John Abbott

Status: Closed Start date: 02 Apr 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Renaming Estimated time: 1.00 hour

Target version: CoCoALib-0.99533 Easter14 Spent time: 0.75 hour

Description

The name SqfreeFactor is not consistent with ContentFreeFactor.

Should it be renamed to SqFreeFactor?

Another candidate would be SqfrFactor, but then we should have ContentfrFactor (which is not so comprehensible).

Opinions?

Related issues:

Related to CoCoALib - Design #511: Rename file TmpFactor to factor Closed 02 Apr 2014

History

#1 - 08 Apr 2014 18:34 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

Done; it builds, the tests pass; checked in!

Status -> feedback

#2 - 15 Apr 2014 13:26 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 1.00 h
